CRM

Create a task on a record

POST
/v1/crm/tasks

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/crm/tasks" \  -H "Content-Type: application/json" \  -d '{    "entityId": "string",    "title": "string"  }'
{
  "data": {
    "allDay": true,
    "assigneeUserId": "string",
    "body": "string",
    "calendarEventId": "string",
    "calendarProvider": "google",
    "cancelledAt": 0,
    "completedAt": 0,
    "createdAt": 0,
    "createdByUserId": "string",
    "dueAt": 0,
    "entityId": "string",
    "id": "string",
    "listId": "string",
    "status": "open",
    "title": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}